package com.sd.business.entity.statement.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 对账单
 * </p>
 *
 * @author
 * @since 2023-07-31
 */
@Getter
@Setter
@TableName("statement_of_account")
public class StatementOfAccount extends BasePo {

    /**
     * 对账单号
     */
    private String code;

    /**
     * 事业部id
     */
    private Long departmentId;

    /**
     * 对账金额
     */
    private BigDecimal amount;

    /**
     * 对账时间段开始时间
     */
    private Date timePeriodBegin;

    /**
     * 对账时间段结束时间
     */
    private Date timePeriodEnd;

    /**
     * 订单id关联
     */
    private String orderIdJoin;

    /**
     * 类型 1用户自建 2系统生成
     */
    private Integer type;

}
