package com.sd.business.service.statement.impl;

import cn.hutool.core.bean.BeanUtil;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.statement.dto.StatementOfAccountDto;
import com.sd.business.entity.statement.dto.StatementOfAccountSelectDto;
import com.sd.business.entity.statement.po.StatementOfAccount;
import com.sd.business.entity.statement.vo.StatementOfAccountVo;
import com.sd.business.mapper.statement.StatementOfAccountMapper;
import com.sd.business.service.statement.StatementOfAccountService;
import org.springframework.stereotype.Service;


/**
 * <p>
 * 对账单 服务实现类
 * </p>
 *
 * @author
 * @since 2023-07-31
 */
@Service
public class StatementOfAccountServiceImpl extends ServiceImpl<StatementOfAccountMapper, StatementOfAccount> implements StatementOfAccountService {

    @Override
    public Page<StatementOfAccountVo> getPage(StatementOfAccountSelectDto dto) {
        IWrapper<StatementOfAccount> wrapper = getWrapper();
        wrapper.orderByDesc("soa", StatementOfAccount::getId);
        Page<StatementOfAccountVo> page = this.baseMapper.getPage(dto.getPage(), wrapper);
        return page;
    }

    @Override
    public StatementOfAccountVo detail(Long id) {
        StatementOfAccount StatementOfAccount = this.getById(id);
        StatementOfAccountVo result = BeanUtil.toBean(StatementOfAccount, StatementOfAccountVo.class);
        return result;
    }

    @Override
    public void add(StatementOfAccountDto statementOfAccountDto) {
        this.save(statementOfAccountDto);
    }

    @Override
    public void edit(StatementOfAccountDto statementOfAccountDto) {
        this.updateById(statementOfAccountDto);
    }

    @Override
    public void delete(Long id) {
        this.removeById(id);
    }

}
